|  | Home · All Classes · All Functions · Overviews

# QSqlRelation Class Reference
[QtSql module]

The QSqlRelation class stores information about an SQL foreign key. More...

     #include <QSqlRelation>

This class is not part of the Qt GUI Framework Edition.

- List of all members, including inherited members

## Public Functions

| QSqlRelation ()
| QSqlRelation ( const QString & tableName, const QString & indexColumn, const QString & displayColumn )
QString | displayColumn () const
QString | indexColumn () const
bool | isValid () const
QString | tableName () const

## Detailed Description

The QSqlRelation class stores information about an SQL foreign key.

QSqlRelation is a helper class for QSqlRelationalTableModel. See QSqlRelationalTableModel::setRelation() and QSqlRelationalTableModel::relation() for details.

See also QSqlRelationalTableModel, QSqlRelationalDelegate, and Relational Table Model Example.

## Member Function Documentation

### QSqlRelation::QSqlRelation ()

Constructs an invalid QSqlRelation object.

For such an object, the tableName(), indexColumn(), and displayColumn() functions return an empty string.

See also isValid().

### QSqlRelation::QSqlRelation ( const QString & tableName, const QString & indexColumn, const QString & displayColumn )

Constructs a QSqlRelation object, where tableName is the SQL table name to which a foreign key refers, indexColumn is the foreign key, and displayColumn is the field that should be presented to the user.

See also tableName(), indexColumn(), and displayColumn().

### QString QSqlRelation::displayColumn () const

Returns the column from table tableName() that should be presented to the user instead of a foreign key.

### QString QSqlRelation::indexColumn () const

Returns the index column from table tableName() to which a foreign key refers.

### bool QSqlRelation::isValid () const

Returns true if the QSqlRelation object is valid; otherwise returns false.

### QString QSqlRelation::tableName () const

Returns the name of the table to which a foreign key refers.